KintsugiKintsugi
API reference / Get physical nexus

Get physical nexus

GET/v1/nexus/physical_nexus

Retrieve a paginated list of physical nexuses for a specific organization.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Query

Every query parameter below is optional. Combine as many as you need and append them to the endpoint as a query string. The example shows a few to get you started.

/v1/nexus/physical_nexus?country_code=<country_code>&page=<page>&state_code=<state_code>
country_codestring
state_codestring
order_bystring
Available options:country_codestate_codestart_dateend_date
pageinteger

Page number

sizeinteger

Page size

Response

itemsPhysicalNexusRead[]Required
totalintegerRequired
pageintegerRequired
sizeintegerRequired
pagesintegerRequired
200

Successfully retrieved physical nexuses

401

Unauthenticated request.

404

Resource not found

422

Validation error

500

Internal server error

cURL
GET /v1/nexus/physical_nexus?country_code={country_code}&page=1&state_code={state_code}
-H "x-api-key: ***"
-H "x-organization-id: ***"
Example request
https://api.trykintsugi.com/v1/nexus/physical_nexus?country_code={country_code}&page=1&state_code={state_code}
Response
{
"items": [
{
"country_code": "US",
"state_code": "CA",
"start_date": "2024-01-01",
"category": "PHYSICAL_BUSINESS_LOCATION",
"id": "phys_ABC123DEF456"
},
{
"country_code": "US",
"state_code": "NY",
"start_date": "2024-03-15",
"category": "TELECOMMUTING_OR_REMOTE_EMPLOYEE",
"id": "phys_XYZ789GHI012"
},
{
"country_code": "US",
"state_code": "TX",
"start_date": "2024-06-01",
"category": "PHYSICAL_BUSINESS_LOCATION",
"external_id": "ext_98765",
"id": "phys_456DEF123ABC"
},
{
"country_code": "US",
"state_code": "FL",
"start_date": "2024-07-01",
"end_date": "2024-12-31",
"category": "TELECOMMUTING_OR_REMOTE_EMPLOYEE",
"external_id": "ext_54321",
"id": "phys_321CBA654FED"
},
{
"country_code": "US",
"state_code": "WA",
"start_date": "2024-09-01",
"category": "PHYSICAL_BUSINESS_LOCATION",
"id": "phys_654FED321CBA"
}
],
"total": 2,
"page": 1,
"size": 50,
"pages": 1
}